flume-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hudson (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (FLUME-3127) Upgrade libfb303 library dependency
Date Mon, 11 Sep 2017 14:09:01 GMT

    [ https://issues.apache.org/jira/browse/FLUME-3127?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16161311#comment-16161311
] 

Hudson commented on FLUME-3127:
-------------------------------

FAILURE: Integrated in Jenkins build Flume-trunk-hbase-1 #317 (See [https://builds.apache.org/job/Flume-trunk-hbase-1/317/])
FLUME-3127. Upgrade libfb303 library dependency (denes: [http://git-wip-us.apache.org/repos/asf/flume/repo?p=flume.git&a=commit&h=773555c5c7d09650f8f4173ced232954b1a3a361])
* (edit) flume-ng-legacy-sources/flume-thrift-source/src/main/java/com/cloudera/flume/handlers/thrift/Priority.java
* (edit) flume-ng-sdk/src/main/java/org/apache/flume/thrift/ThriftSourceProtocol.java
* (edit) flume-ng-sources/flume-scribe-source/src/main/java/org/apache/flume/source/scribe/LogEntry.java
* (edit) pom.xml
* (edit) flume-ng-legacy-sources/flume-thrift-source/src/main/java/com/cloudera/flume/handlers/thrift/EventStatus.java
* (edit) flume-ng-sources/flume-scribe-source/src/main/java/org/apache/flume/source/scribe/Scribe.java
* (edit) flume-ng-sdk/src/main/java/org/apache/flume/thrift/ThriftFlumeEvent.java
* (edit) flume-ng-sources/flume-scribe-source/src/main/java/org/apache/flume/source/scribe/ScribeSource.java
* (edit) flume-ng-legacy-sources/flume-thrift-source/src/main/java/com/cloudera/flume/handlers/thrift/ThriftFlumeEvent.java
* (edit) flume-ng-legacy-sources/flume-thrift-source/src/main/java/com/cloudera/flume/handlers/thrift/ThriftFlumeEventServer.java
* (edit) flume-ng-sources/flume-scribe-source/src/main/java/org/apache/flume/source/scribe/ResultCode.java
* (edit) flume-ng-sdk/src/main/java/org/apache/flume/thrift/Status.java


> Upgrade libfb303 library dependency
> -----------------------------------
>
>                 Key: FLUME-3127
>                 URL: https://issues.apache.org/jira/browse/FLUME-3127
>             Project: Flume
>          Issue Type: Bug
>    Affects Versions: 1.7.0
>            Reporter: Attila Simon
>            Assignee: Ferenc Szabo
>            Priority: Critical
>              Labels: dependency
>             Fix For: 1.8.0
>
>
> ||Group||Artifact||Version used||Upgrade target||
> |org.apache.thrift|libthrift|0.9.0|0.9.3,0.10.0|
> |org.apache.thrift|libfb303|0.9.0|0.9.3|
> Security vulnerability: http://www.cvedetails.com/cve/CVE-2015-3254/
> Maven repository: 
> - https://mvnrepository.com/artifact/org.apache.thrift/libthrift
> - https://mvnrepository.com/artifact/org.apache.thrift/libfb303
> Please do:
> - CVE might be a false alarm or mistake. Please double check.
> - double check the newest version. 
> - consider to remove a dependency if better alternative is available.
> - check whether the lib change would introduce a backward incompatibility (in which case
please add this label `breaking_change` and fix version should be the next major)
> Excerpt from mvn dependency:tree
> {noformat}
> org.apache.flume:flume-ng-sdk:jar:1.8.0-SNAPSHOT
> \- org.apache.thrift:libthrift:jar:0.9.0:compile
> org.apache.flume.flume-ng-sinks:flume-hive-sink:jar:1.8.0-SNAPSHOT
> +- org.apache.hive.hcatalog:hive-hcatalog-streaming:jar:1.0.0:provided
> |  +- org.apache.hive:hive-metastore:jar:1.0.0:provided
> |  |  \- org.apache.thrift:libfb303:jar:0.9.0:provided
> {noformat}



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message